import { WithIndexer } from "../../fd-toolbox-core/types/with-indexer";
import { PropertyMeta } from "./core/property-meta";
export declare function sortProperties(propertyMetas: WithIndexer<PropertyMeta>, ascending: boolean): {
    [k: string]: PropertyMeta;
};
export declare function comparePriority(leftPropertyMeta: PropertyMeta, rightPropertyMeta: PropertyMeta, ascending: boolean): number;
